html {
    /* ヘッダー、フッターを配置するため、htmlの高さを定義 */
    position: relative;
    min-height: 100%;
    /* 販社サイトのフォントサイズに合わせる */
    font-size: 14px;

}

.fullWidth {
    width: 100%
}

/**/

/* ヘッダの分だけ、全体を下にずらす */
body {
    padding-top: 5rem;
}

/* IEスクロールバー修正 */
@-ms-viewport {
    width: auto;
    initial-scale: 1;
}

@viewport {
    width: device-width;
    initial-scale: 1;
}

/* ログインフォームの位置調節 */
.login-form {
    min-height: 80vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

body.indexBody {
    background-image: url(../image/login.png);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
}

.padding-title {
    padding-top: 30px;
}

.container.indexBox {
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    /*    background-color:rgba(245,245,255,1);*/
    background-color: #EEEEEE;
    border: 1.0px solid #8c8c94;
    max-width: 330px;
}

.container {
    /* フッターまでの長さ+フッターの高さ */
    margin-bottom: 95px;
}

/*フッター */
.footer {
    position: absolute;
    align-items: center;
    bottom: 0;
    background-color: #797979;
    color: #FFFFFF;
    display: flex;
    height: 40px;
    width: 100%;
    z-index: 999999;
}

/* フッター メニュー*/
.footerMenu {
    margin-right: 30px;
    margin-top: 1px;
}

/* パスワード表示のアイコン */
.box {
    position: relative;
}

.onInput {
    display: flex;
    position: absolute;
    justify-content: flex-end;
    align-items: center;
    top: 3pt;
    right: 10pt;
    height: 70%;
}

/* IEは、パスワード表示ボタン、テキストクリアボタンがブラウザ提供される。
　工事店サイトで用意したパスワード表示ボタンと競合するので無効化する*/
input[type=password]::-ms-reveal,
input[type=password]::-ms-clear {
    display: none;
}

/* safariは、パスワード表示ボタン、テキストクリアボタンがブラウザ提供される。
　工事店サイトで用意したパスワード表示ボタンと競合するので無効化する*/
input[type=password]::-webkit-contacts-auto-fill-button,
input[type=password]::-webkit-credentials-auto-fill-button {
    visibility: hidden;
    display: none !important;
    pointer-events: none;
    height: 0;
    width: 0;
    margin: 0;
}

#no-list {
    color: #F33;
    text-align: center;
    display: none;
}

.fullWidth {
    width: 100%
}

.show-button {
    cursor: pointer;
}

.show-button:active {
    color: #AAA;
}

h3 {
    color: #333;
}

/* 画面のタイトル(h2要素で指定)に下線の色変更、影を追加 */
h2 {
    color: #555;
    border-bottom: solid 3px #696969;
    margin-bottom: 30px;
    box-shadow: 0px 5px 5px -5px #696969;
}

.underLine {
    color: #555;
    border-bottom: solid 3px #555;
}

/* ヘッダ以外ローディング */
.loadingwrap-no-header {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 51px;
    left: 0;
    z-index: 9997;
    display: none;
    background: #FFF;
    opacity: 0.7;
}

/* ヘッダとサイドバー以外ローディング */
.loadingwrap-no-header-sidebar {
    width: calc(100% - 241px);
    height: calc(100% - 51px);
    position: fixed;
    top: 51px;
    left: 241px;
    z-index: 9997;
    display: none;
    background: #FFF;
    opacity: 0.7;
    text-align: center;
    vertical-align: middle;
}

/* テーブルローディング */
.loadingwrap-tb {
    width: 100%;
    text-align: center;
    /*	height: 100%;*/
    position: relative;
    top: 0;
    left: 0;
    z-index: 9997;

    display: none;
}

/* ローディングの背景 */

.blackback {
    width: 100%;
    height: 100%;
    background: #FFF;
    position: fixed;

    top: 0;
    left: 0;
    z-index: 9998;
    opacity: 0.7;
}

/* インジケーター */

.indicator {
    position: fixed;
    z-index: 99999;
    width: 100px;
    top: calc(30%);
    left: calc(50% - 50px);
}

.indicator-no-header-sidebar {
    position: absolute;
    opacity: 0.7;
    z-index: 99999;
    width: 100px;
    top: 20%;
    left: calc(50% - 50px);
}

.indicator-tb {
    margin-top: 30px;
    opacity: 0.7;
}


/* ロゴ */
/*

a.navbar-brand.logo {
background: url('../image/logo2.png') no-repeat left;
background-size: contain;
width: 95px;
margin-left: 5px;
height: 40px;
}
*/

/* ログイン名表示部 */

.text-box {
    padding: 10px;
    background-color: #EEF;
}

#btn-reload {
    font-size: 200%;
}

/* 右側のメインコンテンツ */
.main-content {

    margin-left: 260px;
    margin-right: 20px;
    /* フッターまでの長さ+フッターの高さ */
    margin-bottom: 70px;
}

/* サイドバーがない画面 */
.header-no-sidebar{
    /* フッターまでの長さ+フッターの高さ */
    margin-bottom: 70px;
}



/* 階層表示部 */
.hierarchy {
    margin-top: 15px;
    text-decoration: bold;
}

#txt-OK {
    color: green;
}

/* メインコンテンツ部のヘッダー部 */
.main-header {
    top: 80px;
    height: 45px;

    margin-left: -20px;
    margin-right: -20px;

    padding-left: 10px;
    padding-right: 10px;
    position: fixed;
    width: calc(100% - 240px);

    background-color: #FFF;
    /*    border-bottom: 0.75px solid #888;*/

    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);

}

/* メインコンテンツ部のヘッダー部のタイトル */
.main-header-title {
    position: absolute;
    height: 100%;
    margin: 0px;
    line-height: 44px;
}

/* メインコンテンツ部のヘッダー部のボタン位置の微調整 */
.padding5 {
    padding-top: 5px;
    padding-bottom: 5px;
}

/* メインコンテンツ部のヘッダー部のボタン */
.main-header-button {
    margin-left: 5px;
    height: 100%;

}

/* デフォルトボタン */
.btn-default,
.btn-default:hover,
.btn-default:disabled:hover {
    background-color: #379;
    color: #FFF;
    border: solid #379 1.0px;

}

/* ヘッダ */
.table th {
    background-color: #EEE;
}

/* テーブルマウスオーバー時 */
.table.table-hover tbody tr:hover {
    background-color: #DEEEFF;
    cursor: pointer;
}

/* テーブルマウスオーバー時 */
.table.table-hover tbody tr:active {
    background-color: #DDD;
}

/* 全画面ローディング画面 */



/* 表の罫線の色 */

table,
td,
tr,
th,
thead {
    border-color: #aaa !important;
}

/* 支払履歴の詳細のテーブル幅 */
.receipt-td{
    width:450px;
}

/* ボタンの幅 */
.button-width{
    width: 200px;
}

/* 支払履歴のフィルタ */
.payment-filter-width{
    width: 15%;
}

/* 見積番号のインプットボックスの幅 */
.reference-code-width{
    width:100%;
}
/* 契約開始日のインプットボックスの幅 */
.start-date-width{
    width:50%;
}

/* グラフのサイズ指定*/
.canvas-container {
    position: relative;
    width: calc(100% - 10px);
    height: 400px;
}

.bottom-item {
    width: 220px;
    position: absolute;
    bottom: 100px;
}

@media only screen and (max-width: 1300px) {

    /* フッター */
    .footer {
        position: absolute;
        align-items: center;
        bottom: 0;
        background-color: #797979;
        color: #FFFFFF;
        display: flex;
        height: 90px;
        width: 100%;
        z-index: 999999;
    }
    .main-content {
        padding-top: 0px;
        margin-left: 10px;
        margin-right: 10px;
        /* フッターまでの長さ+フッターの高さ */
        margin-bottom: 100px;
    }
    /* サイドバーがない画面 */
    .header-no-sidebar{
        margin-top: 50px;
        /* フッターまでの長さ+フッターの高さ */
        margin-bottom: 100px;
    }
    /* 支払履歴の詳細のテーブル幅 */
    .receipt-td {
        width: 350px;
    }
    /* 契約開始日のインプットボックスの幅 */
    .start-date-width{
        width:max-content;
    }
    /* 物件名称が長い場合は横スクロールできるようにして、サイドバーのメニューが下側へ下がらないようにする。 */
    .sidebar-scroll{
        white-space: nowrap;
        overflow-x: auto;
    }
}

/* 画面幅が狭い場合の表示 */
@media only screen and (max-width: 992px) {
    .side-bar {
        position: relative;
        top: 0px;
        min-height: auto;
        overflow-x: hidden;
        border-right: none;
        border-bottom: 0.75px solid #AAA;
        border-top: 0.75px solid #AAA;
        margin-bottom: 10px;
        width: auto;
    }

    .hierarchy {
        position: static;
        width: auto;
        white-space: normal;

        line-height: inherit;
        height: auto;
    }

    .main-header {
        position: static;
        width: auto;
        margin-bottom: 10px;
    }

    .main-header-title {
        max-height: 45px;
    }

    .loadingwrap-no-header-sidebar {
        width: 100%;
        height: calc(100% - 51px);
        top: 51px;
        left: 0px;
    }

    /* TODO: iOSだと切れるため、一次対応 */
    .nav.pull-right ul.dropdown-menu {
        top: 130px;
    }

    /* コンテンツとフッターの余白定義 */
    .container {
        /* フッターまでの長さ+フッターの高さ */
        margin-bottom: 120px;
    }

    /* テーブルをtdごとに改行する */ 
    .tbl-md td {
        border:none;
        display: block;
        width: 100%!important;
        padding-left:30px;
    }

    /* テーブルを罫線の定義 */ 
    .tbl-md tr {
        border-top:solid 1px;
    }
    /* 支払履歴の詳細のテーブル幅 */
    .receipt-td{
        width:150px;
    }
    /* ボタンの幅 */
    .button-width{
        width:140px;
    }

    /* 支払履歴のフィルタ */
    .payment-filter-width{
        width: 25%;
    }

    /* 見積番号のインプットボックスの幅 */
    .reference-code-width{
        width:60%;
    }

    /* 契約開始日のインプットボックスの幅 */
    .start-date-width{
        width:max-content;
	}

    /* 物件名称が長い場合は横スクロールできるようにして、サイドバーのメニューが下側へ下がらないようにする。 */
    .sidebar-scroll{
    white-space: nowrap;
    overflow-x: auto;
    }

    .bottom-item {
        width:100%;
        position: relative;
        bottom:0;
    }
}

@media only screen and (max-width: 412px) {
    /* Detail画面 */
   .detail{
       margin-top:250px;
       margin-bottom:70px;
       margin-left:0px;
       overflow-x:auto;
   }

   .bottom-item {
        width:100%;
        position: relative;
        bottom:0;
    }
}

@media only screen and (min-width: 915px) {
    /* Detail画面 */
    .detail{
        margin-top:220px;
        margin-bottom:70px;
        margin-left:-40px;
        width:fit-content;
        min-width:570px;
    } 
}

@media only screen and (min-width: 1024px) and ( max-width:1298px) {
    /* Detail画面 */
    .detail{
        margin-top:220px;
        margin-bottom:70px;
        margin-left:85px;
        width:fit-content;
        min-width:570px;
    }
    .bottom-item {
        position: absolute;
        bottom: 150px;
    }
}

.show-button {
    cursor: pointer;
}

.show-button:active {
    color: #AAA;
}

h3 {
    color: #333;
}

.underLine {
    color: #555;
    border-bottom: solid 3px #555;
}

/* 全画面ローディング */
.loadingwrap-all {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9997;
    background: #FFF;
    opacity: 1.0;
}

/* ヘッダ以外ローディング */
.loadingwrap-no-header {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 51px;
    left: 0;
    z-index: 9997;
    display: none;
    background: #FFF;
    opacity: 0.7;
}

/* ヘッダとサイドバー以外ローディング */
.loadingwrap-no-header-sidebar {
    width: calc(100% - 241px);
    height: calc(100% - 51px);
    position: fixed;
    top: 51px;
    left: 241px;
    z-index: 9997;
    display: none;
    background: #FFF;
    opacity: 0.7;
    text-align: center;
    vertical-align: middle;
}

/* テーブルローディング */
.loadingwrap-tb {
    width: 100%;
    text-align: center;
    /*	height: 100%;*/
    position: relative;
    top: 0;
    left: 0;
    z-index: 9997;

    display: none;
}

/* ローディングの背景 */

.blackback {
    width: 100%;
    height: 100%;
    background: #FFF;
    position: fixed;

    top: 0;
    left: 0;
    z-index: 9998;
    opacity: 0.7;
}

/* インジケーター */

.indicator {
    position: fixed;
    z-index: 99999;
    width: 100px;
    top: calc(30%);
    left: calc(50% - 50px);
}

.indicator-no-header-sidebar {
    position: absolute;
    opacity: 0.7;
    z-index: 99999;
    width: 100px;
    top: 20%;
    left: calc(50% - 50px);
}

.indicator-tb {
    margin-top: 30px;
    opacity: 0.7;
}


/* ロゴ */
/*

a.navbar-brand.logo {
background: url('../image/logo2.png') no-repeat left;
background-size: contain;
width: 95px;
margin-left: 5px;
height: 40px;
}
*/

/* ログイン名表示部 */
a.navbar-brand {
    padding-left: 10px;
    background-size: contain;
    height: 50px;
    font-size: 1.5rem;
    /*    width: 350px;*/
}



[v-cloak] {
    display: none;
}


/*
html += '<li class="nav-item dropdown active">';

html += '<a class="nav-link dropdown-toggle" href="http://example.com" id="dropdown01" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="fas fa-user"></i> Administrator</a>';
html += '<div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdown01">';
html += '<a class="dropdown-item" href="#">Action</a>';
html += '<a class="dropdown-item" href="#">Another action</a>';
html += '<a class="dropdown-item" href="#">Something else here</a>';
html += '</div>';
html += '</li>';
html += '</ul>';
html += '</div>';
html += '</nav>';
*/


/* ヘッダー */
/*
.navbar {
    height: 45px;
    padding: 5px;
}
*/


/*
ul.nav.navbar-nav li.active{
    border-left: 1px solid #999;
    border-right: 1px solid #999;
}

.nav-text{
    color: #EEE;
    line-height: 50px;
}
.nav-text:hover{
    color: #FFF;

}

.nav.pull-right{
    top:-20px;
    padding-right: 10px;
}
.navbar-header span.navbar-brand {
    color: white;
}

.nav.pull-right ul.dropdown-menu li{
    cursor: pointer;
}
.nav.pull-right ul.dropdown-menu {

}
*/

#target {
    /*    top:100px;*/
}

/* ドロップダウンメニューを左固定 */
/*
.dropdown-menu.left {
left: auto;
right: 0;
cursor: pointer;
&::before {
left: auto !important;
right: 9px;
}
&::after {
left: auto !important;
right: 10px;
}
z-index: 9000;
}
*/

/* ナビゲーションバー定義 */
/*
.navbar {
margin-bottom: 0px;
height: 40px;
background-color: #223;
min-height: 40px !important;
z-index: 9001;
}
*/

.text-word-break {
    word-break: break-word;
}

.text-box {
    padding: 10px;
    background-color: #EEF;
}

#btn-reload {
    font-size: 200%;
}

/* 左側のメニュー */
.side-bar {
    top: 45px;
    position: fixed;
    z-index: 0;
    overflow: auto;
    min-height: 100vh;
    background-color: #EEE;
    /*    border-right: 1.0px solid #AAA;*/
    width: 240px;
    z-index: 999998;
}

.list-group-item-action.active {
    color: #EEF;
    background-color: rgb(254, 116, 0);
    border-color: rgb(254, 116, 0);
}

/* サブメニューのアイコン・ラベル */
.subMenu-icon {
    font-size: 20px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}

.subMenu-Label {
    margin-left: 30px;
}

.sidebar-top {
    width: 100%;
    overflow-wrap: break-word;
    padding: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.sidebar-content {

    padding-left: 10px;
    padding-right: 10px;

}

/* 右側のメインコンテンツ */
.main-content {

    flex: auto;
    overflow: auto;

    margin-left: 260px;
    margin-right: 20px;
}

/* サイドバーの項目 */

/*
.nav > li > a:focus,
.nav > li > a:hover {
background-color: #FAFAFA;
}
*/

/* 階層表示部 */
.hierarchy {
    margin-top: 15px;
    text-decoration: bold;
}

#txt-OK {
    color: green;
}

/* メインコンテンツ部のヘッダー部 */
.main-header {
    top: 80px;
    height: 45px;

    margin-left: -20px;
    margin-right: -20px;

    padding-left: 10px;
    padding-right: 10px;
    position: fixed;
    width: calc(100% - 240px);

    background-color: #FFF;
    /*    border-bottom: 0.75px solid #888;*/

    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);

}

/* メインコンテンツ部のヘッダー部のタイトル */
.main-header-title {
    position: absolute;
    height: 100%;
    margin: 0px;
    line-height: 44px;
}

/* メインコンテンツ部のヘッダー部のボタン位置の微調整 */
.padding5 {
    padding-top: 5px;
    padding-bottom: 5px;
}

/* メインコンテンツ部のヘッダー部のボタン */
.main-header-button {
    margin-left: 5px;
    height: 100%;

}

/* 課金管理サイトで使用しているヘッダー */
.header {
    z-index: 999999;
}

a.navbar-brand {
    padding-left: 165px;
    background: url("../image/aiphone_logo_white.png") no-repeat left center;
    background-size: 50%;
    margin-left: 10px;
    height: 47.5px;
    width: 300px;
    color: rgba(255, 255, 255, 1);
}

/* 課金管理サイトで使用しているヘッダー(初回ログイン) */
.navbar-brand {
    padding-left: 165px;
    background: url("../image/aiphone_logo_white.png") no-repeat left center;
    background-size: 50%;
    margin-left: 10px;
    height: 47.5px;
    width: 300px;
    color: rgba(255, 255, 255, 1);
    font-size: 1.5rem;
}
.nav-item.active{
    background-color: #004183;
    color: rgba(255, 255, 255, 1);
}

.nav-item.header>a.nav-link {
    color: #9d9d9d;
}

.nav-item.header>a.nav-link:hover,
.nav-item.header>a.nav-link:focus {
    background-color: #004183;
    color: rgba(255, 255, 255, 1);
}

.navbar-dark .navbar-nav .nav-link:focus,
.navbar-dark .navbar-nav .nav-link.a,
.navbar-dark .navbar-nav .nav-link {
    color: rgba(255, 255, 255, 1);
}

.navbar-dark .navbar-nav .dropdown-toggle:hover {
    color: rgba(255, 255, 255, 1);
    text-decoration: underline;
    text-decoration-color: rgba(255, 255, 255, 1);
}

/* navbarの背景色 */
.navbar.navbar-dark {
    background-color: #003366;
    color: #9d9d9d;
}


/* .btn:active,
.btn:focus,
.btn:hover {
    color: #e6e6e6;
    background-color: #003366;
    border-color: #003366 !important;
} */

/* ボタンの色を新デザインに合わせ指定 */
.btn-primary,
.btn-primary.disabled,
.btn-primary:focus,
.btn-primary:hover,
.btn-success {
    color: #fff !important;
    background-color: #003366 !important;
    border-color: #003366 !important;
}

/* デフォルトボタン */
.btn-default,
.btn-default:hover,
.btn-default:disabled:hover {
    background-color: #003366;
    color: #FFF;
    border: solid #003366 1.0px;
}

/* ボタンの色を新デザインに合わせ指定 */
.btn-toggle {
    border: solid #003366 1.0px;
}

/* ボタンの色を新デザインに合わせ指定 */
.btn-toggle.active {
    background-color: rgb(142, 189, 211);
    border: solid #003366 1.0px;
}

/* ヘッダ */
.table th {
    background-color: #EEE;
}

/* テーブルマウスオーバー時 */
.table.table-hover tbody tr:hover {
    background-color: #DEEEFF;
    cursor: pointer;
}

/* テーブルマウスオーバー時 */
.table.table-hover tbody tr:active {
    background-color: #DDD;
}


/* 表の罫線の色 */

table,
td,
tr,
th,
thead {
    border-color: #aaa !important;
}

/* サイトで使用するテーブルのデザイン */
.customTable,
.customTable table,
.customTable td,
.customTable tr,
.customTable thead {
    border-style: none !important;
}

.customTable th {
    background-color: #fff;
    border-top-style: none !important;
    border-left-style: none !important;
    border-right-style: none !important;
    border-bottom-width: 3px !important;
}

.customTablePriceList,
.customTablePriceList td {
    border-style: none !important;
}

.customTablePriceList thead,
.customTablePriceList td,
.customTablePriceList tr th {
    border-color: white !important;
    border-right-color: white !important;
    border-right-style: solid !important;
    border-width: 5px !important;
}

.customTablePriceList th {
    background-color: #fff;
    border-top-style: none !important;
    border-left-style: none !important;
    border-right-style: none !important;
    border-bottom-width: 3px !important;
}

/* 画面幅が狭い場合の表示 */
@media only screen and (max-width: 992px) {
    .side-bar {
        position: relative;
        top: 0px;
        min-height: auto;
        overflow-x: hidden;
        border-right: none;
        border-bottom: 0.75px solid #AAA;
        border-top: 0.75px solid #AAA;
        margin-bottom: 10px;
        width: 100%;
    }

    .hierarchy {
        position: static;
        width: auto;
        white-space: normal;

        line-height: inherit;
        height: auto;
    }

    .main-content {
        padding-top: 0px;
        margin-left: 10px;
        margin-right: 10px;
    }

    .main-header {
        position: static;
        width: auto;
        margin-bottom: 10px;
    }

    .main-header-title {
        max-height: 45px;
    }


    .loadingwrap-no-header-sidebar {
        width: 100%;
        height: calc(100% - 51px);
        top: 51px;
        left: 0px;
    }

    /* TODO: iOSだと切れるため、一次対応 */
    .nav.pull-right ul.dropdown-menu {
        top: 130px;
    }
}

/* 印刷外の領域は非表示にする */
.printOff {
    display: none;
}

/* 契約変更画面で変更前、変更後の契約部屋数を並べて表示させる */
.inlineBlock {
    display: inline-block;
}

/* 物件住所の入力欄 */
.propertyInput {
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 10px;
}

/* 
.canvas-container {
    position: relative;
    width:  calc(100% - 40px);
    height: 300px;
    overflow: hidden;
    margin:20px;
}
  */

/*　物件一覧のタイトルを固定化する */
.table_sticky {
    display: block;
    overflow-y: auto;
    overflow-x: auto;
    height: calc(70vh);
}

.table_sticky thead th {
    position: sticky;
    top: 0;
    z-index: 1;
}